Package org.eclipse.birt.core.ui.frameworks.taskwizard

# Class ErrorsManager

java.lang.Object
org.eclipse.birt.core.ui.frameworks.taskwizard.ErrorsManager

public class ErrorsManager extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`YSERIESDATA`

## Method Summary

Modifier and Type
Method
Description
`String`
`getErrors()`
`static ErrorsManager`
`instance()`
This method returns the instance of ErrorsManager.
`void`
`registerWizard(WizardBase wizard)`
This method registers a wizard with the ErrorsManager.
`void`
`removeErrors()`
Clean the error message in the wizard dialog.
`void`
`showErrors(String errorMessage)`
Set the error message to the wizard dialog.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### YSERIESDATA

public static final String YSERIESDATA

See Also:
  - Constant Field Values

## Method Details

### instance

public static ErrorsManager instance()
This method returns the instance of ErrorsManager. If an instance does not exist, one is created.

Returns:
  Singleton instance of ErrorsManager

### registerWizard

public void registerWizard(WizardBase wizard)
This method registers a wizard with the ErrorsManager.

Parameters:
  `wizard` -

### showErrors

public void showErrors(String errorMessage)
Set the error message to the wizard dialog.

Parameters:
  `t` - Exception

### removeErrors

public void removeErrors()
Clean the error message in the wizard dialog.

### getErrors

public String getErrors()